对口型 (人脸识别)
接口:POST /kling/v1/videos/identify-face 归属:快手可灵(官方格式) 调用地址:Base URL https://api.allyang.cn(OpenAI 兼容前缀 https://api.allyang.cn/v1)+ 上述路径 鉴权:请求头 Authorization: Bearer <你的令牌>;令牌在控制台「令牌管理」创建 说明:下方为本接口契约。路径、字段名与枚举取值与线上接口一致;叙述文字已按本平台口径重写。价格、并发与限流等数值以控制台及实际返回为准,未确认处标注「待补」。
OpenAPI Specification
yaml
openapi: 3.0.1
info:
title: ''
description: ''
version: 1.0.0
paths:
/kling/v1/videos/identify-face:
post:
summary: 对口型 (人脸识别)
description: "① 生成视频。② 本接口要求提供视频 id 或视频 url;使用视频 id 时需在父任务账号下操作,并尽快执行以免资源包过期。"
tags:
- 快手可灵(官方格式)
parameters:
- name: Content-Type
in: header
description: ''
required: true
example: application/json
schema:
type: string
- name: Authorization
in: header
description: ''
required: false
example: Bearer {{YOUR_API_KEY}}
schema:
type: string
default: Bearer {{YOUR_API_KEY}}
requestBody:
content:
application/json:
schema:
type: object
properties:
input:
type: object
properties:
task_id:
type: string
video_id:
type: string
mode:
type: string
text:
type: string
voice_id:
type: string
voice_language:
type: string
required:
- task_id
- video_id
- mode
- text
- voice_id
- voice_language
required:
- input
example: |-
{
"input":{
"video_id":"de1b86d9-8e40-4f1c-a6a5-6459f8eb42f2",//通过可灵AI生成的视频的ID
"video_url": "https://api.allyang.cn/<外部地址已按合规要求移除>", //上传视频的获取链接,与 video_id二者只能填其一
"mode":"text2video",
"text":"今天天气很好",
"voice_id":"girlfriend_1_speech02",
"voice_language":"zh"
}
}
responses:
'200':
description: ''
content:
application/json:
schema:
type: object
properties: {}
example:
code: 0
message: SUCCEED
request_id: CmJ8DGePZioAAAAAAFIvOQ
data:
task_id: CmJ8DGePZioAAAAAAFIvOQ
task_status: submitted
created_at: 1737628288136
updated_at: 1737628288136
headers: {}
security: []
components:
schemas: {}
securitySchemes: {}
servers: []
security: []